Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.proxy
Class ProxyFilter

    java.lang.Object
      org.apache.mina.core.filterchain.IoFilterAdapter
          org.red5.server.net.proxy.ProxyFilter

All Implemented Interfaces:
  IoFilter

    public class ProxyFilter

extends IoFilterAdapter

Proxy filter

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mina.core.filterchain.IoFilter
`IoFilter.NextFilter`

Field Summary
`static String` | `FORWARD_KEY` Forwarding key constant
`protected static Logger` | `log` Logger
`protected String` | `name` Filter name

Constructor Summary
`ProxyFilter(String name)` Create proxy filter with given name

Method Summary
`void` | `messageReceived(IoFilter.NextFilter next, IoSession session, Object message)`
`void` | `sessionClosed(IoFilter.NextFilter next, IoSession session)`

Methods inherited from class org.apache.mina.core.filterchain.IoFilterAdapter
`destroy, exceptionCaught, filterClose, filterWrite, init, messageSent, onPostAdd, onPostRemove, onPreAdd, onPreRemove, sessionCreated, sessionIdle, sessionOpened, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FORWARD_KEY

    public static final String FORWARD_KEY

  Forwarding key constant

  See Also:
    Constant Field Values

### log

    protected static Logger log

  Logger

### name

    protected String name

  Filter name

Constructor Detail

### ProxyFilter

    public ProxyFilter(String name)

  Create proxy filter with given name

  Parameters:
    `name` - name

Method Detail

### messageReceived

    public void messageReceived(IoFilter.NextFilter next,
                                IoSession session,
                                Object message)
                         throws Exception

  Specified by:
    `messageReceived` in interface `IoFilter`
  Overrides:
    `messageReceived` in class `IoFilterAdapter`
  Throws:
    `Exception`

### sessionClosed

    public void sessionClosed(IoFilter.NextFilter next,
                              IoSession session)
                       throws Exception

  Specified by:
    `sessionClosed` in interface `IoFilter`
  Overrides:
    `sessionClosed` in class `IoFilterAdapter`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project